Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.bean
Class RtfParameter

    java.lang.Object
      jet.bean.RtfParameter

All Implemented Interfaces:
  java.io.Serializable

    public class RtfParameter

extends java.lang.Object
implements java.io.Serializable

The `RtfParameter` class is used for exporting to RTF. It contains all the information for exporting report results.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `EXP` The suffix file name of the rtf file.

Constructor Summary
`RtfParameter()`

Method Summary
`RtfParameter` | `copy()` Adding this method for MailInformation can clone this object.
`boolean` | `isExportFlow()` Gets report layout style.
`boolean` | `isNoMargin()` Gets report page margin.
`void` | `setNoMargin(boolean noMargin)` Sets page margin.
`void` | `setRtfFlow(boolean isRtfFlow)` Sets the report layout style.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXP

    public static final java.lang.String EXP

  The suffix file name of the rtf file.

  See Also:
    Constant Field Values

Constructor Detail

### RtfParameter

    public RtfParameter()

Method Detail

### setNoMargin

    public void setNoMargin(boolean noMargin)

  Sets page margin. true, no margin exists in page.

  Parameters:
    `noMargin` - the flag whether to use margin or not

### setRtfFlow

    public void setRtfFlow(boolean isRtfFlow)

  Sets the report layout style. true, flow layout.

  Parameters:
    `isRtfFlow` - the flag whether it is flow layout format or not

### isExportFlow

    public boolean isExportFlow()

  Gets report layout style.

  Returns:
    boolean true if it is flow layout format

### isNoMargin

    public boolean isNoMargin()

  Gets report page margin.

  Returns:
    boolean true if there is no page margin

### copy

    public RtfParameter copy()

  Adding this method for MailInformation can clone this object.

  Returns:
    RtfParameter clone an object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD